#
# spec file for package xglobe (Version 0.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 gpp libgpp libjpeg liblcms libmng libmng-devel libpng mesa mesa-devel mesasoft qt qt-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xglobe
Copyright:    GPL
Group:        X11/Amusements 
Autoreqprov:  on
Version:      0.5
Release:      241
Summary:      Displays Earth Map on Background
Url:          http://www.linuxstart.com/~awka/xglobe.html
Source:	      http://www.linuxstart.com/~awka/xglobe-%{version}-no-map.tar.gz
Source1:      map.jpg
Patch:        xglobe-%{version}.dif
BuildRoot:    /var/tmp/%{name}-BUILD

%description
XGlobe displays the earth from your favourite point in space, similar to
Xearth. The difference is that XGlobe uses a world map image which is mapped
to the globe. Additionally Xglobe can use different maps for the night and
day side of the earth. This can look pretty good depending on the map.
Additional maps can be found for instance at
http://www.radcyberzine.com/xglobe

Authors:
--------
    Thorsten Scheuermann <tscheuermann@gmx.net>

SuSE series: xap

%prep
%setup
%patch
install -m 644 %{S:1} .
rm -f README README.maps

%build
export QTDIR=/usr/lib/qt2
make XGLOBE_BIN_DIR=/usr/X11R6/bin XGLOBE_LIB_DIR=/usr/X11R6/lib/X11/xglobe MOC=$QTDIR/bin/moc

%install
install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/bin
install -d -m 755 ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/xglobe
make install XGLOBE_BIN_DIR=${RPM_BUILD_ROOT}/usr/X11R6/bin \
             XGLOBE_LIB_DIR=${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/xglobe

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog README README.maps
/usr/X11R6/bin/xglobe
/usr/X11R6/lib/X11/xglobe

%changelog -n xglobe
* Mon Jul 09 2001 - nadvornik@suse.cz
- added freetype2 to neededforbuild
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Thu Nov 30 2000 - ro@suse.de
- neededforbuild += liblcms
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Mon Oct 16 2000 - ro@suse.de
- added libmng to neededforbuild (qt)
* Thu Sep 21 2000 - ro@suse.de
- added mesa-stuff to neededforbuild: qt needs it
* Wed Jun 07 2000 - nadvornik@suse.cz
- sorted
* Thu May 18 2000 - pthomas@suse.de
- make names for day and night map configurable via Makefile
- generate README and README.maps to fit map file names
* Tue May 16 2000 - smid@suse.cz
- fixed markers
* Wed Apr 12 2000 - smid@suse.cz
- initial version 0.5
